Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

id
string
required

Unique identifier of the webhook to test

Pattern: ^[0-9a-z]+$

Body

application/json

Request body for sending a test payload to a webhook endpoint

event
enum<string>
default:message.received

Event type to simulate in the test delivery

Available options:
message.received,
message.received.auto,
message.sent,
message.failed,
message.bounced,
message.loop_detected,
agent.created,
agent.updated,
agent.deleted,
phone.provisioned,
phone.released,
call.summary.ready,
call.score.ready,
call.security.alert,
call.security.scan.ready,
call.started,
call.ended,
a2a.task.received,
vault.credential.refresh_failed

Response

200 - application/json

OK

Webhook test result

success
any
required

Always true when the test delivery was dispatched

deliveryId
string
required

Unique identifier of the test delivery

Pattern: ^[0-9a-z]+$